%define module	POE-Component-Client-Ident
%define name	perl-%{module}
%define version	1.12
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A component that provides non-blocking ident lookups to your sessions
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/POE/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:  perl(POE)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
POE::Component::Client::Ident is a POE component that provides non-blocking
Ident lookup services to other components and sessions. The Ident protocol
is described in RFC 1413

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/POE
%_mandir/*/*





%changelog
* Thu Mar 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdv2008.1
+ Revision: 180603
- update to new version 1.12

* Sat Feb 02 2008 Funda Wang <fundawang@mandriva.org> 1.10-1mdv2008.1
+ Revision: 161380
- update to new version 1.10

* Mon Jan 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-1mdv2008.1
+ Revision: 155673
- update to new version 1.08

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2008.1
+ Revision: 105444
- new version
- update to new version 1.07

* Thu Aug 09 2007 Funda Wang <fundawang@mandriva.org> 1.06-1mdv2008.0
+ Revision: 60697
- New version 1.06

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.05-1mdv2008.0
+ Revision: 20324
- 1.05


* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 1.04-1mdv2007.0
+ Revision: 94357
- 1.04

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 1.01-1mdv2007.0
+ Revision: 54025
- Import perl-POE-Component-Client-Ident

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2007.0
- New release 1.01
- spec cleanup

* Mon May 01 2006 Olivier Thauvin <nanardon@mandriva.org> 1.00-1mdk
- 1.00

* Fri Mar 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdk
- New release 0.9

* Fri Nov 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.8-1mdk
- 0.8

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-2mdk
- Buildrequires fix

* Thu Sep 08 2005 Olivier Thauvin <nanardon@mandriva.org> 0.7-1mdk
- First mandriva package

